osmo_ss7_route Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct llist_head | list
| member in osmo_ss7_route_table::routes More...
struct osmo_ss7_route_table * | rtable
| osmo_ss7_route_table to which we belong More...
struct {
struct osmo_ss7_linkset * linkset
| pointer to linkset (destination) of route More...
struct osmo_ss7_as * as
| pointer to Application Server More...
} | dest
struct {
uint32_t pc
uint32_t mask
char * linkset_name
| human-specified linkset name More...
uint32_t priority
| lower priority is higher More...
uint8_t qos_class
} | cfg

## Field Documentation

## as

struct osmo_ss7_as* osmo_ss7_route::as

pointer to Application Server

Referenced by gen_mtp_transfer_req_xua(), handle_rkey_reg(), hmrt_message_for_routing(), ipa_asp_fsm_cleanup(), osmo_ss7_as_destroy(), osmo_ss7_route_create(), and osmo_ss7_route_name().

## cfg

struct { ... } osmo_ss7_route::cfg

Referenced by DEFUN(), osmo_ss7_route_create(), osmo_ss7_route_find_dpc(), osmo_ss7_route_find_dpc_mask(), osmo_ss7_route_name(), route_insert_sorted(), vty_dump_rtable(), and write_one_rtable().

## dest

struct { ... } osmo_ss7_route::dest

Referenced by gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), ipa_asp_fsm_cleanup(), osmo_ss7_as_destroy(), osmo_ss7_linkset_destroy(), osmo_ss7_route_create(), and osmo_ss7_route_name().

## linkset

struct osmo_ss7_linkset* osmo_ss7_route::linkset

pointer to linkset (destination) of route

Referenced by gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), osmo_ss7_linkset_destroy(), osmo_ss7_route_create(), and osmo_ss7_route_name().

## linkset_name

char* osmo_ss7_route::linkset_name

human-specified linkset name

Referenced by osmo_ss7_route_create(), vty_dump_rtable(), and write_one_rtable().

## list

struct llist_head osmo_ss7_route::list

member in osmo_ss7_route_table::routes

Referenced by osmo_ss7_as_destroy(), osmo_ss7_linkset_destroy(), osmo_ss7_route_destroy(), osmo_ss7_route_find_dpc(), osmo_ss7_route_find_dpc_mask(), route_insert_sorted(), vty_dump_rtable(), and write_one_rtable().

## mask

uint32_t osmo_ss7_route::mask

Referenced by DEFUN(), osmo_ss7_route_create(), osmo_ss7_route_find_dpc(), osmo_ss7_route_find_dpc_mask(), osmo_ss7_route_name(), route_insert_sorted(), vty_dump_rtable(), and write_one_rtable().

## pc

uint32_t osmo_ss7_route::pc

Referenced by osmo_ss7_route_create(), osmo_ss7_route_find_dpc(), osmo_ss7_route_find_dpc_mask(), osmo_ss7_route_name(), and write_one_rtable().

## priority

uint32_t osmo_ss7_route::priority

lower priority is higher

Referenced by DEFUN(), vty_dump_rtable(), and write_one_rtable().

## qos_class

uint8_t osmo_ss7_route::qos_class

Referenced by DEFUN(), and write_one_rtable().

## rtable

struct osmo_ss7_route_table* osmo_ss7_route::rtable

osmo_ss7_route_table to which we belong

Referenced by osmo_ss7_route_create(), and osmo_ss7_route_name().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h